%define section free

Name:           javacc
Version:        3.2
Release:        1jpp_2fc
Epoch:          0
Summary:        A parser/scanner generator for java
License:        BSD
Source0:	javacc-3.2-src.tar.gz
Source1:	javacc
Source2:	jjdoc
Source3:	jjtree
URL:            https://javacc.dev.java.net/
Group:          Development/Code Generators
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	jpackage-utils >= 0:1.5
BuildRequires:	ant, /bin/bash
# libgcj aot-compiled native libraries
BuildRequires:         gcc-java >= 4.0.0-0.43
BuildRequires:         java-1.4.2-gcj-compat >= 1.4.2.0-40jpp_16rh
Requires(post,postun): java-1.4.2-gcj-compat >= 1.4.2.0-40jpp_16rh
ExclusiveArch:         %{ix86} x86_64 ppc alpha

%description 
Java Compiler Compiler (JavaCC) is the most popular parser generator for use
with Java applications. A parser generator is a tool that reads a grammar
specification and converts it to a Java program that can recognize matches to
the grammar. In addition to the parser generator itself, JavaCC provides other
standard capabilities related to parser generation such as tree building (via
a tool called JJTree included with JavaCC), actions, debugging, etc.

%package manual
Summary:        Manual for %{name}
Group:          Development/Documentation

%description manual
Manual for %{name}.

%package demo
Summary:        Examples for %{name}
Group:          Development/Documentation

%description demo
Examples for %{name}.

%prep
%setup -q
cp %{SOURCE1} javacc
cp %{SOURCE2} jjdoc
cp %{SOURCE3} jjtree
mv www/doc .

%build
ant \
  -Dversion=%{version} \
  jar

gcj-dbtool -n bin/lib/%{name}-%{version}.db 256
aot-compile \
    bin/lib/%{name}.jar \
    bin/lib/lib%{name}-%{version}.jar.so \
    "$RPM_OPT_FLAGS -fPIC"
gcj-dbtool -f \
    bin/lib/%{name}-%{version}.db \
    bin/lib/%{name}.jar \
    %{_libdir}/lib%{name}-%{version}.jar.so

%install
rm -fr $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 bin/lib/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -m 755 javacc jjdoc jjtree $RPM_BUILD_ROOT/usr/bin
install -d -m 755 $RPM_BUILD_ROOT/usr/share/%{name}
cp -pr examples $RPM_BUILD_ROOT/usr/share/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_libdir}
install -m 755 bin/lib/lib*.jar.so $RPM_BUILD_ROOT%{_libdir}
gcjdbdir=`gcj-dbtool -p %{_libdir}`.d
install -d -m 755 $RPM_BUILD_ROOT$gcjdbdir
install -m 644 bin/lib/%{name}-%{version}.db $RPM_BUILD_ROOT$gcjdbdir

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/rebuild-gcj-db %{_libdir}

%postun
/usr/bin/rebuild-gcj-db %{_libdir}

%files
%defattr(0644,root,root,0755)
%{_javadir}/*.jar
%doc LICENSE README
%attr(0755,root,root) /usr/bin/*
%attr(0755,root,root) %{_libdir}/*.so
%{_libdir}/*/*/*.db

%files manual
%defattr(0644,root,root,0755)
%doc doc/*

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}/*

%changelog
* Tue Jul 05 2005 Andrew Overholt <overholt@redhat.com> 0:3.2-1jpp_2fc
- Bump release for FC4 update.

* Fri Jun 10 2005 Gary Benson <gbenson@redhat.com> 0:3.2-1jpp_1fc
- Rearrange how BC-compiled stuff is built and installed.

* Thu Jun  9 2005 Andrew Overholt <overholt@redhat.com>
- Natively-compile.

* Thu Mar  4 2004 Frank Ch. Eigler <fche@redhat.com> 0:3.2-1jpp_1rh
- RH vacuuming

* Fri Jan 30 2004 Sebastiano Vigna <vigna@acm.org> 0:3.2-1jpp
- First JPackage version
